function OnWarpEnter() 
	SetMarker("cs\\Warp_0031.wp" , 0 , 0) 

	AnimationSetToStart("dlb1") -- souflet
	SetMarker("dlb1",4,0)

	if FireSmithOn then
		StartAnimationPart("dbb1",60,90,-1,true)
	end

	AnimationSetToStart("dmb1") -- eau

	StartAnimationPart("dvb1",30,31,-1,true) -- toctoc

	PutObject("dcb1",true) -- marteau
	PutObject("ddb1",true) -- pince1
	PutObject("deb1",true) -- pince2

	AnimationSetToEnd("cxa1")
	AnimationSetToEnd("cya1")

	if not O_Corde_Courte and not Part2 then
		PutObject("dtb1",true)
		SetMarker("dtb1", 2, 0) 
	end

	if ETAT_DAY == "D1" then 

	end 

	if ETAT_DAY == "D2" then 
		SetMarker("dvb1",4,0)
	end 

	if ETAT_DAY == "D3" then 
		SetMarker("dvb1",4,0)

		if VinegarTaken or PowderTaken then
			MEDICINE_READY = true
		end

		--NEED_KEY_IMPRESSION_D3 = true
		if KEY_IMPRESSION_READY then
			SetMarker("dvb1",4,0)
			if not JEAN_KEY_TAKEN_0032_D3 then
				PutObject("dhb1",true)
				SetMarker("dhb1",2,0)
			end 
		end
		if GIVE_KEY_MOLD and GIVE_MEDICINE_TO_SMITH_D3 and not KEY_IMPRESSION_READY  then
			PutObject("dgb1",false)
			SetMarker("dvb1",4,0)
		end

		if GIVE_MEDICINE_TO_SMITH_D3 and not GIVE_KEY_MOLD then
			SetMarker("BLACKSMITH_TABLE",4,0)
			if VinaigreW32 then
				PutObject("dwb1",false)
				SetMarker("dwb1", -1, 0)
			elseif PowderW32 then
				PutObject("dxb1",false)
				SetMarker("dxb1", -1, 0)
			end
		end
	
	end 

	if ETAT_DAY == "D4" then 
--		SetMarker("BLACKSMITH_DOOR",4,0)
		StartAnimationPart("dvb1",30,31,-1,false)
		SetMarker("dvb1",4,0)
	end 

	if ETAT_DAY == "D5" then 
		-- braise
		SetMarker("dbb1",4,0)
		-- eau
		SetMarker("dmb1",4,0)
		-- marteau
		SetMarker("dcb1",2,0)
		-- toc toc
		SetMarker("dvb1",4,0)
	end
end

function OnWarpLeave()
	FireSmithOn = false
end

function AskSeparation()
	if ETAT_DAY == "D3" then
		if VinegarTaken then
			PushAnswer("Ma2033") -- Du vinaigre des quatre voleurs
		end
		if PowderTaken then
			PushAnswer("Ma2035") -- De la poudre anti-peste
		end
		PushAnswer("3411") -- [Prendre congé]
	end
end


function OnAnswered(textId)
	if textId == "3411" then -- prendre congé
		SetMarker("dvb1",4,0)
	end
end

function OnAnswered(textId)
	if ETAT_DAY =="D2" then
	end
	if ETAT_DAY == "D3" then
		if textId == "Ma2033" then -- Du vinaigre des quatre voleurs
			if DRESS_MADELEINE then
				DrawText("Ma2032","Ma2032.ogg",0) -- J'ai ton remède.
				DrawText("Ma2033","Ma2033.ogg",0) -- Du vinaigre des quatre voleurs
				DrawText("Ma2034","Ma2034.ogg",0) -- Une cuillère par jour préserve de la contagion.
				DrawText("Fo2029","Fo2029.ogg",10) -- Donne-moi cette empreinte de clef et repasse tout à l'heure, je m'occupe de tout.
				PutObject("dwb1",false)
				RemoveFromBag("A_vinaigre_voleur")
				VinaigreW32 = true
				PutObject("dwb1",false)
			elseif DRESS_CESAR then
				DrawText("Ce2037","Ce2037.ogg",1) -- J'ai ton remède.
				DrawText("Ce2038","Ce2038.ogg",1) -- Du vinaigre des quatre voleurs
				DrawText("Ce2039","Ce2039.ogg",1) -- Une cuillère par jour préserve de la contagion.
				DrawText("Fo2029","Fo2029.ogg",10) -- Donne-moi cette empreinte de clef et repasse tout à l'heure, je m'occupe de tout.
				PutObject("dwb1",false)
				RemoveFromBag("A_vinaigre_voleur")
				VinaigreW32 = true
				PutObject("dwb1",false)
			end
		elseif textId == "Ma2035" then -- De la poudre anti-peste
			if DRESS_MADELEINE then
				DrawText("Ma2032","Ma2032.ogg",0) -- J'ai ton remède.
				DrawText("Ma2035","Ma2035.ogg",0) -- De la poudre anti-peste
				DrawText("Ma2036","Ma2036.ogg",0) -- Ses vapeurs protègent contre le mal.
				DrawText("Fo2029","Fo2029.ogg",10) -- Donne-moi cette empreinte de clef et repasse tout à l'heure, je m'occupe de tout.
				PutObject("dxb1",false)
				RemoveFromBag("A_poudre_antipeste")
				PowderW32 = true
				PutObject("dxb1",false)
			elseif DRESS_CESAR then
				DrawText("Ce2037","Ce2037.ogg",1) -- J'ai ton remède.
				DrawText("Ce2040","Ce2040.ogg",1) -- De la poudre anti-peste
				DrawText("Ce2041","Ce2041.ogg",1) -- Ses vapeurs protègent contre le mal.
				DrawText("Fo2029","Fo2029.ogg",10) -- Donne-moi cette empreinte de clef et repasse tout à l'heure, je m'occupe de tout.
				PutObject("dxb1",false)
				RemoveFromBag("A_poudre_antipeste")
				PowderW32 = true
				PutObject("dxb1",false)
			end
		end
	end

end


function OnDialogFinished(dialogName)
	if ETAT_DAY =="D2" then

	end
	if ETAT_DAY == "D3" then
		if dialogName == "Fo1993" then
			AskSeparation()
		elseif dialogName == "Fo2029" then
			GIVE_MEDICINE_TO_SMITH_D3 = true
			SetMarker("BLACKSMITH_TABLE",4,0)
		end
	end
	if dialogName == "Fo2014" or dialogName == "Ma2004" or dialogName == "Ma2049" then
		SetMarker("dvb1",4,0)
	end
end

function OnAnimationFinished(objectName)

	if objectName == "dlb1"  then -- souflet
		SetMarker("dlb1",4,0)
	end
	if objectName == "dvb1"  then -- toctoc
		if DRESS_CESAR then
			DrawText("Ce2015","Ce2015.ogg",1) -- Forgeron !
			DrawText("Fo2009","Fo2009.ogg",10) -- Qu'est-ce que je peux faire pour toi ?
			DrawText("Ce2017","Ce2017.ogg",1)
			DrawText("Fo2011","Fo2011.ogg",10)
			DrawText("Fo2012","Fo2012.ogg",10) -- Si tu m'apportes un des remèdes de ton père, je ferai cette clef.
			DrawText("Ce2020","Ce2020.ogg",1)
			DrawText("Fo2014","Fo2014.ogg",10) -- Pas de problème, je t'attends.
			KEYMOLD_TALK = true
			NEED_PREPARE_MEDICINE_D3 = true
		elseif DRESS_MADELEINE then
			DrawText("Ma2008","Ma2008.ogg",0) -- Forgeron !
			DrawText("Fo2009","Fo2009.ogg",10)  -- Qu'est-ce que je peux faire pour toi ? 
			DrawText("Ma2010","Ma2010.ogg",0)
			DrawText("Fo2011","Fo2011.ogg",10)
			DrawText("Fo2012","Fo2012.ogg",10) -- Si tu m'apportes un des remèdes de ton père, je ferai cette clef.
			DrawText("Ma2013","Ma2013.ogg",0)
			DrawText("Fo2014","Fo2014.ogg",10) -- Pas de problème, je t'attends.
			KEYMOLD_TALK = true
			NEED_PREPARE_MEDICINE_D3 = true
		end
	end
	if objectName == "dbb1"  then -- feu
		StartAnimationPart("dbb1",60,90,-1,true)
	end
	if objectName == "dib1" then
		AnimationSetToEnd("dib1",true)
		SwordReady = true
	end
	if objectName == "dmb1" then
		AnimationSetToEnd("dmb1",true)
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0031.wp" then 
		if SwordRepared and not SwordCool then 
			DrawText("Ma1640","Ma1640.ogg",0) -- Parfait, je n'ai plus qu'à refroidir le métal et ce sera fini.
		elseif W32_SwordOnFire or (SwordCool and not SwordFinished) then
			DrawText("Ma2859","Ma2859.ogg",0) -- J'ai intérêt à faire très attention. S'il est encore en vie, le scribe peut être n'importe où. Je me sentirai plus rassurée avec une arme en bon état.
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "dtb1" then
		AddToBag("A_corde_courte")
		RemoveObject("dtb1")
		SetMarker("dtb1", -1, 0) 
		O_Corde_Courte = true
	end

	if objectName == "dlb1" then -- souflet
		StartAnimation("dlb1",1,true)
		SetMarker("dlb1",-1,0)
		PlaySound("Sounds/SFX/E_soufflet_Boucle.ogg",1)
		if not FireSmithOn then
			StartAnimationPart("dbb1",30,60,1,true)
			PlaySound("Sounds/SFX/E_bo_feu_SAllume.ogg",1)
			FireSmithOn = true
		end
	end

	if objectName == "dvb1" then -- toctoc
		if not NeedSmith and not SmithyDone then
			DrawText("Ma2004","Ma2004.ogg",0) -- Inutile de le déranger pour l'instant
			SetMarker("dvb1",-1,0)
		elseif SmithyDone then
			DrawText("Ma2049","Ma2049.ogg",0) -- Je n'ai plus besoin de son aide.
			SetMarker("dvb1",-1,0)
		else
			if ETAT_DAY == "D3" then
				if NeedSmith and  not REMEDY_READY_D3 and not KEYMOLD_TALK  then
					StartAnimationPart("dvb1",30,60,1,true)
					SetMarker("dvb1",-1,0)
					PlaySound("Sounds/SFX/E_dv_heurtoir_Frappe.ogg",1)
				elseif NeedSmith and not MEDICINE_READY and not GIVE_MEDICINE_TO_SMITH_D3 then
					DrawText("Ma2004","Ma2004.ogg",0)  -- Inutile de le déranger pour l'instant
				--	SetMarker("dvb1",-1,0)
				elseif NeedSmith and MEDICINE_READY and not GIVE_MEDICINE_TO_SMITH_D3 then
					DrawText("Fo1993","Fo1993.ogg",10) -- Oui ?
					SetMarker("dvb1",-1,0)
				elseif NeedSmith and not KEY_IMPRESSION_READY then
					DrawText("Ma2004","Ma2004.ogg",0)  -- Inutile de le déranger pour l'instant
					SetMarker("dvb1",-1,0)
				else
					DrawText("Ma2004","Ma2004.ogg",0)  -- Inutile de le déranger pour l'instant
					SetMarker("dvb1",-1,0)
				end
			end
		end
	end
-------------------------------------------


	if ETAT_DAY == "D1" then 

	end

--DAY2 
	if ETAT_DAY == "D2" then 

		-- marteau
		if objectName == "dcb1" then

		-- longue pince
		elseif objectName == "ddb1" then

		-- petite pince
		elseif objectName == "deb1" then

		-- moule d'argile
		elseif objectName == "dgb1" then

		-- clé
		elseif objectName == "dhb1" then

		-- pain
		elseif objectName == "djb1" then

		-- pièce réparée
		elseif objectName == "dnb1" then

		-- épée réparée
		elseif objectName == "dob1" then

		-- corde
		elseif objectName == "dtb1" then

		-- bouteille anti-peste 
		elseif objectName == "dwb1" then

		-- poudre anti-peste
		elseif objectName == "dxb1" then

		elseif objectName == "nic1" then

		-- feu
		elseif objectName == "dbb1" then

		-- morceau du pétrin dans le feu
		elseif objectName == "dfb1" then

		-- épée tordue dans le feu
		elseif objectName == "dib1" then

		-- souflet de la forge
		elseif objectName == "dlb1" then

		-- eau
		elseif objectName == "dmb1" then

		-- toctoc
		elseif objectName == "dvb1" then

		end
	end 

--DAY3
	if ETAT_DAY == "D3" then 

		if objectName == "dhb1" then
			if not JEAN_KEY_TAKEN_0032_D3 then
				RemoveObject("dhb1")
				AddToBag("B_clef")
				JEAN_KEY_TAKEN_0032_D3 = true
				SmithyDone = true
				SetMarker("dhb1",-1,0)
			end

		elseif  objectName == "3D\\BLACKSMITH_TABLE" then
			if GIVE_MEDICINE_TO_SMITH_D3 and not KEY_IMPRESSION_READY then
				if Selected("C_empreinte_clef") then
					RemoveFromBag()
					PutObject("dgb1")
					SetMarker("BLACKSMITH_TABLE",-1,0)
					SetMarker("dvb1",4,0)
					GIVE_KEY_MOLD = true
				else
					DrawText("Fo2029","Fo2029.ogg",10) -- Donne-moi cette empreinte de clef et repasse tout à l'heure, je m'occupe de tout.
				end
			end
		end
	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 
		-- souflet
		if objectName == "dlb1" then
			-- already set on fire, just have to check if sword is 
			-- already in the oven
			if W32_SwordOnFire and not W32_SwordHeating then
				W32_SwordHeating = true
				RemoveObject("dib1") -- ensure the word appear above the fire (else it will be on a lower layer)
				PutObject("dib1")
				AnimationSetToStart("dib1")
				StartAnimation("dib1",1,true)
				SetMarker("dbb1",-1,0)
			end
		end

		-- feu
		if objectName == "dbb1" then
			if Selected("C_epee_tordue") then
				-- braise
				SetMarker("dbb1",-1,0)
				PlaySound("Sounds/SFX/N_PoserMetalSurBraises.ogg",1)
				RemoveFromBag("C_epee_tordue")
				W32_SwordOnFire = true
				if FireSmithOn then
					W32_SwordHeating = true
					StartAnimation("dib1",1,true)
				else
					AnimationSetToStart("dib1")
					SetMarker("dib1",2,0)
				end
			else
				DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.	
			end

		-- marteau
		elseif objectName == "dcb1" then
			if SwordReady and not SwordRepared then 
				SwordRepared = true
				RemoveObject("dib1")
				SetMarker("dcb1",-1,0)
				PlaySound("Sounds/SFX/N_FrapperMarteau.ogg",1)
				DrawText("Ma1640","Ma1640.ogg",0) -- Parfait, je n'ai plus qu'à refroidir le métal et ce sera fini.
			else
				DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.
			end

		-- eau
		elseif objectName == "dmb1" then
			if SwordRepared and not SwordCool then
				SetMarker("dmb1",-1,0)
				PutObject("dob1")
				SetMarker("dob1",2,0)
				PlaySound("Sounds/SFX/N_PoserMetalDansEau.ogg",1)
				StartAnimationPart("dmb1",0,30,1,true)
				SwordCool = true
			else
				DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.	
			end
			
		elseif objectName == "dob1" then
			if SwordCool then
				SetMarker("dob1",-1,0)
				RemoveObject("dob1")
				AddToBag("B_epee_droite")
				SwordFinished = true
				W32_SwordOnFire = false
			else
				DrawText("Ma1483","Ma1483.ogg",0) -- Inutile.	
			end
		end
	end 
-------------------------------
end





